This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 400631 - cannot compile wine with openldap-2.4
cannot compile wine with openldap-2.4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 415331
  Show dependency treegraph
 
Reported: 2007-11-27 04:11 EST by Jan Safranek
Modified: 2008-01-03 18:22 EST (History)
0 users

See Also:
Fixed In Version: wine-0.9.52-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 18:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2007-11-27 04:11:35 EST
Description of problem:

I am preparing rebase of openldap from 2.3 to 2.4 in rawhide. I tried to
recompile all components depending on openldap with new openldap-devel-2.4.
OpenLDAP upstream did not provide any log of API changes or porting guide, so I
assumed the API is the same, but unfortunately wine is the the only component,
which has problems. Compilation results in following errors:

parse.o: In function `ldap_parse_vlv_controlW':
wine-0.9.48-fe/dlls/wldap32/parse.c:420: undefined reference to
`ldap_parse_vlv_control'
wine-0.9.48-fe/dlls/wldap32/parse.c:420: undefined reference to
`ldap_parse_vlv_control'
parse.o: In function `ldap_parse_sort_controlW':
wine-0.9.48-fe/dlls/wldap32/parse.c:339: undefined reference to
`ldap_parse_sort_control'

These two functions were renamed to 'ldap_parse_vlvresponse_control' and
'ldap_parse_sortresponse_control'. You can distinguish between new and old ldap
headers by checking LDAP_API_FEATURE_SERVER_SIDE_SORT and
LDAP_API_FEATURE_VIRTUAL_LIST_VIEW (see old and new ldap.h).

I'd like to ask you to prepare wine for new openldap-2.4, which you can find in
CVS or as yum repo at
http://people.redhat.com/jsafrane/openldap-2.4-preview/$arch. I want to release
new openldap to rawhide as soon as possible and I want to be sure that everybody
recompiles their packages with openldap-devel, so I can delete compat-openldap.
Please let me know when you are ready.
Comment 1 Andreas Bierfert 2008-01-03 18:22:25 EST
Wine does check for it in the current release :).

Note You need to log in before you can comment on or make changes to this bug.